org.eclipse.ease.lang.unittest

## Class FilteredTestCommand

- java.lang.Object
- - org.eclipse.ease.lang.unittest.FilteredTestCommand

    public class FilteredTestCommand
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`FilteredTestCommand(ITestContainer root, java.util.Collection<ITestEntity> activeTests)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.Collection<ITestEntity>` `getActiveTests()`
`ITestContainer` `getTestRoot()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FilteredTestCommand

    public FilteredTestCommand(ITestContainer root,
                               java.util.Collection<ITestEntity> activeTests)

### Method Detail

#### getTestRoot

    public ITestContainer getTestRoot()

#### getActiveTests

    public java.util.Collection<ITestEntity> getActiveTests()